<%= javascript_pack_tag 'procedures_map/ProceduresMap' %>
<%= javascript_pack_tag 'procedures_map/LoadingOverlay' %>
<%= javascript_pack_tag 'procedures_map/FilterClearer' %>

<%= javascript_tag do %>
  var loadingOverlay = new LoadingOverlay($);
  var proceduresMap = new ProceduresMap('map', L, $, loadingOverlay, HeatmapOverlay, <%= map_center %>,
                                        `<%= t '.error' %>`, `<%= t '.percentile' %>`, `<%= t '.radius' %>`);
  var filterClearer = new FilterClearer($, proceduresMap);

  proceduresMap.toggleHealthFacilities();
  proceduresMap.initializeHeatmapLayersBackend();
  proceduresMap.toggleCluster();

  <%= render partial: 'procedures/map/map_legend', formats: [:js] %>

  proceduresMap.populateHealthFacilities(<%== health_facilities %>);

  proceduresMap.setDataSearchCallbacks('#search-form');

  window.onload = function() {
    proceduresMap.invalidateSize();
  };
<% end %>
